Pause or resume a LinkedIn ad, campaign, or ad group

http
PATCH https://services.leadconnectorhq.com/ad-publishing/linkedin/{adId}/status

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
adIdstringYes507f1f77bcf86cd799439011Ad identifier

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesHChooFuiyPpVYzeJ4HMeAccount identifier

Body

NameTypeRequiredExampleDescription
operationTypestringYesPAUSEDUpdate operation Possible values: 'PAUSED', 'ARCHIVED', 'RESUME'
typestringYesadCampaignAd object type Possible values: 'adGroup', 'adCampaign', 'ad'

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PATCH 'https://services.leadconnectorhq.com/ad-publishing/linkedin/YOUR_adId/status' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "operationType": "PAUSED",
  "type": "adCampaign"
}'

Last updated October 26, 2026

Was this page helpful?